<?php
echo '<ul>';
  if ( is_array( $this -> _pages ) ) foreach ( $this -> _pages as $site_tmp )
  {
    echo '<li>';
      switch( $site_tmp -> _values['id_page_type'] )
      {
        case 8:
          $link = $site_tmp -> _values['link'];
        break;
        case 9:
          $link = 'rejestracja';
        break;
        case 10:
          $link = 'wyszukiwarka';
        break;
        case 11:
          $link = 'mapa_strony';
        break;
        default:
          $link = 's,' . $site_tmp -> _values['id'] . ',' . \System::seo( $site_tmp -> _values['title'] ) . '';
        break;
      }

      echo '<a href="' . $link . '">';
        echo ucfirst( $site_tmp -> _values['title'] );
      echo '</a>';

      if ( is_array( $site_tmp -> _values['subpages'] ) )
        echo \site\VSite::drawSiteMapPages( $site_tmp -> _values['subpages'] );

    echo '</li>';
  }
echo '</ul>';
?>
